Subject: Re: [PATCH] net: emac: emac gigabit ethernet controller driver

From: Timur Tabi <[email-masked]>
Date: Tue, 15 Dec 2015 15:09:23 -0600

Arnd Bergmann wrote:
> If that's in the probe() called from it function, just use writel() everywhere,
> a few extra microseconds won't kill the boot time. In general, if a user would
> notice the difference, use the relaxed version and add a comment to explain
> how you proved it's correct, otherwise stay with the default accessors.

What about adding a wmb() after the last writel()?  This driver does 
that a lot.  Is that something we want to discourage?  I can understand 
how we would want to make sure that the last write is posted before the 
function exits.